PAUSE(1)

NAME
pause - don't exit, efficiently

SYNOPSIS
pause

DESCRIPTION
pause waits to be terminated by a signal. It can be used when service supervision is used but there is no long-running program to supervise. pause uses minimal system resources.

EXAMPLES
Setting up a static IP address with plugsv(8).

/etc/netsv/eth0/run:

    #!/bin/sh
    ip link set eth0 up
    ip addr add 192.0.2.1/24 dev eth0
    exec pause

/etc/netsv/eth0/finish:

    #!/bin/sh
    ip addr del 192.0.2.1/24 dev eth0
    ip link set eth0 down

SEE ALSO
sleep(1), pause(2)

AUTHOR
Leah Neukirchen, leah@vuxu.org.